> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch Get Sandbox Statuses

> Get lifecycle status for up to 100 sandboxes in one request.

## Rate Limit

300 requests per 60 seconds per token for each sandbox. Separate ceilings of 30,000 sandbox lookups per 60 seconds per token and 30,000 requests per 60 seconds per IP apply.


## OpenAPI

````yaml https://api.primeintellect.ai/api/v1/sandbox/openapi.json post /api/v1/sandbox/status:batchGet
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/status:batchGet:
    post:
      tags:
        - Sandbox
      summary: Batch Get Sandbox Statuses
      description: Get lifecycle status for up to 100 sandboxes in one request.
      operationId: batch_get_sandbox_statuses_api_v1_sandbox_status_batchGet_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchSandboxStatusRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BatchSandboxStatusResponse'
        '401':
          description: Authorization failed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BatchSandboxStatusRequest:
      properties:
        sandbox_ids:
          items:
            type: string
            maxLength: 25
            minLength: 24
            pattern: ^[a-z][a-z0-9]{23,24}$
          type: array
          maxItems: 100
          minItems: 1
          title: Sandbox Ids
      type: object
      required:
        - sandbox_ids
      title: BatchSandboxStatusRequest
    BatchSandboxStatusResponse:
      properties:
        statuses:
          items:
            $ref: '#/components/schemas/SandboxStatusSnapshot'
          type: array
          title: Statuses
        errors:
          items:
            $ref: '#/components/schemas/SandboxStatusLookupError'
          type: array
          title: Errors
      type: object
      required:
        - statuses
        - errors
      title: BatchSandboxStatusResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SandboxStatusSnapshot:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        status:
          $ref: '#/components/schemas/SandboxStatus'
        error_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Type
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        pending_image_build_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Pending Image Build Id
      type: object
      required:
        - sandbox_id
        - status
      title: SandboxStatusSnapshot
    SandboxStatusLookupError:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        code:
          type: string
          enum:
            - NOT_FOUND
            - FORBIDDEN
            - MANAGED
          title: Code
        message:
          type: string
          title: Message
      type: object
      required:
        - sandbox_id
        - code
        - message
      title: SandboxStatusLookupError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SandboxStatus:
      type: string
      enum:
        - PENDING
        - PROVISIONING
        - RUNNING
        - PAUSED
        - ERROR
        - TERMINATED
        - TIMEOUT
      title: SandboxStatus
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````